#!/bin/bash

send_cmd () {
    result=`./dataclient -c "$1" 2>log`
    if [ $? -gt 0 ]; then
        echo "failed to access device!"
        exit 1
    fi
}

echo "saving variables"
send_cmd "get sensors/accel/outputrate"
oldacceloutputrate=$result
send_cmd "get sensors/accel/outputtype"
oldacceloutputtype=$result
send_cmd "get sensors/mag/outputrate"
oldmagoutputrate=$result
send_cmd "get sensors/mag/outputtype"
oldmagoutputtype=$result
send_cmd "get sensors/temp/autooutput"
oldtempautooutput=$result
send_cmd "get sensors/temp/outputtype"
oldtempoutputtype=$result

echo "setting up the device to stream raw data"
send_cmd "set sensors/accel/outputrate 1000"
send_cmd "set sensors/accel/outputtype raw"
send_cmd "set sensors/mag/outputrate 1000"
send_cmd "set sensors/mag/outputtype raw"
send_cmd "set sensors/temp/autooutput true"
send_cmd "set sensors/temp/outputtype raw"

echo "running calibrationhost, hit return stop"
./calibrationhost /dev/ttyACM0 2>/dev/null &
read
killall calibrationhost

echo "restoring settings"
send_cmd "set sensors/accel/outputrate $oldacceloutputrate"
send_cmd "set sensors/accel/outputtype $oldacceloutputtype"
send_cmd "set sensors/mag/outputrate $oldmagoutputrate"
send_cmd "set sensors/mag/outputtype $oldmagoutputtype"
send_cmd "set sensors/temp/autooutput $oldtempautooutput"
send_cmd "set sensors/temp/outputtype $oldtempoutputtype"

echo "done"
