#!/bin/bash

# this is a simple script to read measurements from the device, and create a sxv file

MEASUREMENTS=$(./dataclient -c "get survey/measurements")
if (( $? != 0 )); then
    echo "Failed to read measurements from the device, cannot generate sxv file";
    exit 1;
fi

echo Please enter the name of the survey
#NAME=test
read NAME

FILENAME=$NAME.svx

echo *begin $NAME > $FILENAME
echo *date `date +%Y.%m.%d` >> $FILENAME
echo *instrument compass \"digital survey instruments\" >> $FILENAME
echo *instrument clino \"digital survey instruments\" >> $FILENAME
echo >> $FILENAME

FIRST=1
while read line
do
    if (( !FIRST)); then 
        IFS="- " read SURVEYNAME SURVEYNUM INCLINE ASMITH DISTANCE <<< $line;
        if [ "$DISTANCE" = "" ]; then
            DISTANCE="-"
        fi
        echo $(($SURVEYNUM)) $(($SURVEYNUM + 1)) $DISTANCE $ASMITH $INCLINE >> $FILENAME;
    fi
    FIRST=0;
done <<< "$MEASUREMENTS"

echo >> $FILENAME
echo *end $NAME >> $FILENAME

echo "Wrote $FILENAME"
